开发者社区 > 云效DevOps > 正文

云效java安全扫描,基础镜像的Linux版本太低,装不成功。可以开工单把系统版本升级一下吗?

云效java安全扫描,基础镜像的Linux版本太低,装不成功。可以开工单把系统版本升级一下吗?

展开
收起
-Feng、冯冯 2024-01-17 07:38:41 26 0
3 条回答
写回答
取消 提交回答
  • 面对过去,不要迷离;面对未来,不必彷徨;活在今天,你只要把自己完全展示给别人看。

    您好,云效Java构建的基础镜像是基于OpenJDK 8的官方镜像。如果您发现基础镜像的Linux版本太低,无法满足构建需求,可以考虑重新构建一个基于更新版本的Linux系统的Java基础镜像。

    关于您提到的是否可以开工单把系统版本升级的问题,云效平台目前并未提供直接升级基础镜像操作系统版本的服务。因此,如果需要进行操作系统版本的升级,您可能需要自行创建一个新的基于所需版本的Java基础镜像,并在此基础上进行后续的开发和构建工作。

    同时,为了确保镜像的安全性,建议在构建容器镜像时,将镜像扫描嵌入到CI/CD管道中。这样,在镜像发布之前就可以对其进行扫描,发现并修复潜在的安全问题。

    2024-01-17 14:18:27
    赞同 展开评论 打赏
  • Java安全扫描由于基础镜像的Linux版本过低导致安装失败,理论上您可以提交工单向阿里云技术支持请求升级基础镜像的系统版本

    2024-01-17 09:34:32
    赞同 展开评论 打赏
  • 云效暂时升不了。此回答整理自钉群“云效交付域答疑群”

    2024-01-17 08:21:26
    赞同 展开评论 打赏

云效,企业级一站式研发协同平台,数十万企业都在用。支持公共云、专有云和混合云多种部署形态,通过云原生新技术和研发新模式,助力创新创业和数字化转型企业快速实现研发敏捷和组织敏捷,打造“双敏”组织,实现多倍效能提升。

热门讨论

热门文章

相关电子书

更多
云效助力企业软件供应链生产效能提升 立即下载
云效 DevOps 客户案例集(公共云) 立即下载
云效 立即下载